---
title: 'ARIA: Mark role'
slug: Web/Accessibility/ARIA/Roles/Mark_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - annotations
  - mark
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p>The <code>mark</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> semantically denotes HTML elements containing text that is marked/highlighted for reference purposes. This is semantically equivalent to the HTML <a href="/en-US/docs/Web/HTML/Element/mark">&lt;mark&gt;</a> element. If possible, you should use this element instead.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we have a document section that has been commented. The commented section is marked up using <code>&lt;span role="mark"&gt;</code>.</p>

<pre class="brush: html">&lt;p&gt;The last half of the song is a slow-rising crescendo that peaks at the
&lt;span role="mark" aria-details="thread-1"&gt;end of the guitar solo&lt;/span&gt;, before fading away sharply.&lt;/p&gt;

&lt;div role="comment" id="thread-1" data-author="chris"&gt;
  &lt;h3&gt;Chris said&lt;/h3&gt;
  &lt;p class="comment-text"&gt;I really think this moment could use more cowbell.&lt;/p&gt;
  &lt;p&gt;&lt;time datetime="2019-03-30T19:29"&gt;March 30 2019, 19:29&lt;/time&gt;&lt;/p&gt;
&lt;/div&gt;</pre>

<p>The related comment is marked up using an HTML structure wrapped with a <code>&lt;div&gt;</code> containing <code>role="comment"</code>.</p>

<p>To associate the comment with the text being commented, we need to wrap the commented text with an element containing the <code>aria-details</code> attribute, the value of which should be the ID of the comment.</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/mark"><code>&lt;mark&gt;</code> element</a> will automatically communicate a section has a role of <code>mark</code>. If at all possible, prefer using it instead.</p>

<h2 id="Specifications">Specifications</h2>

<p>Will be part of WAI-ARIA 1.3, which is still being drafted.</p>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Annotations">ARIA annotations</a></li>
</ul>
